Debian Bug report logs - #690409
php5-xcache: upgrades clobber local changes to xcache.ini

version graph

Package: php5-xcache; Maintainer for php5-xcache is Debian PHP PECL Maintainers <pkg-php-pecl@lists.alioth.debian.org>; Source for php5-xcache is src:xcache.

Reported by: Stuart Prescott <stuart@debian.org>

Date: Sat, 13 Oct 2012 22:51:01 UTC

Severity: serious

Tags: moreinfo, unreproducible

Found in version xcache/2.0.0-2

Fixed in versions xcache/2.0.0-3, xcache/2.0.0-4

Done: Michal Čihař <nijel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, stuart@debian.org, Michal Čihař <nijel@debian.org>:
Bug#690409; Package php5-xcache. (Sat, 13 Oct 2012 22:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stuart Prescott <stuart@debian.org>:
New Bug report received and forwarded. Copy sent to stuart@debian.org, Michal Čihař <nijel@debian.org>. (Sat, 13 Oct 2012 22:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stuart Prescott <stuart@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: php5-xcache: upgrades clobber local changes to xcache.ini
Date: Sat, 13 Oct 2012 23:47:15 +0100
Package: php5-xcache
Version: 2.0.0-2
Severity: serious
Justification: §10.7.3 local changes must be preserved during a package upgrade

On upgrades from squeeze to wheezy, any configuration changes made by the
local administrator to the xcache.ini are lost. Moving conffiles should
be done carefully using tools like dpkg-maintscript-helper mv_conffile
to ensure that local changes are not lost.

Note that the exact conffile shipped in squeeze embeds the entire path
to the extension (which it probably should not have done) meaning that
the conffile needs to be updated in some other policy compliant fashion....

cheers
Stuart

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (550, 'testing'), (60, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-3-686-pae (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#690409; Package php5-xcache. (Wed, 31 Oct 2012 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. (Wed, 31 Oct 2012 16:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 690409@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Stuart Prescott <stuart@debian.org>
Cc: 690409@bugs.debian.org, control@bugs.debian.org, Michal Čihař <nijel@debian.org>, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
Subject: Re: Bug#690409: php5-xcache: upgrades clobber local changes to xcache.ini
Date: Wed, 31 Oct 2012 17:29:14 +0100
tags 690409 + unreproducible
tags 690409 + moreinfo
thanks

Hi,

This bug made it so that xcache is on the list of proposed removals
from testing. I would find this sad, so I investigated.
My analysis follows.

Stuart Prescott wrote (13 Oct 2012 22:47:15 GMT) :
> On upgrades from squeeze to wheezy, any configuration changes made
> by the local administrator to the xcache.ini are lost.

Squeeze's php5-xcache ships /etc/php5/conf.d/xcache.ini, while
Wheezy's ships /etc/php5/mods-available/xcache.ini and runs "php5enmod
xcache" in postinst. 

On my test system, after upgrading from Squeeze to Wheezy, I have both
the old configuration file and the new one in /etc/php5/conf.d/:

  10-pdo.ini -> ../mods-available/pdo.ini
  20-xcache.ini -> ../mods-available/xcache.ini
  xcache.ini

Both seem to be taken into account somehow, as shown by this warning:

  $ php
  Failed loading /usr/lib/php5/20090626/xcache.so:
  /usr/lib/php5/20090626/xcache.so: cannot open shared object file: No
  such file or directory

Looking further, it looks like variables set in the old xcache.ini
take precedence over those set in the new 20-xcache.ini symlink: if
I set xcache.size, in the old xcache.ini, to some value that does not
fit in my memory, I'm told:

  /dev/zero: Cannot allocate memory
  Failed creating file mapping
  PHP Fatal error:  Failed creating file mapping in Unknown on line 0
  PHP Fatal error:  XCache: Cannot create shm in Unknown on line 0

So, while I see a quite configuration files being mixed up in a quite
ugly way, I don't see changes made by the administrator being lost
along the way. Stuart, what did I miss?

Meta: unless we are shown in more details how configuration changes
are lost during the upgrade, I think this bug should be retitled
"should handle conffile location changes" and its severity downgraded
to important. But given I'm no expert in that field, and could very
well have missed something, I'm merely tagging unreproducible and
moreinfo to start for now.

> Moving conffiles should be done carefully using tools like
> dpkg-maintscript-helper mv_conffile to ensure that local changes are
> not lost.

FWIW, a few /var/lib/dpkg/info/php5-*.postinst have the logics to do
so, and could probably be used as inspiration sources. These code
snippets look all similar, so they might be automatically generated by
some packaging helper.

> Note that the exact conffile shipped in squeeze embeds the entire
> path to the extension (which it probably should not have done)
> meaning that the conffile needs to be updated in some other policy
> compliant fashion....

Changing the zend_extension's value to the new path, if and only if
its original value is still the one shipped in Squeeze, looks doable.
But perhaps we want to avoid hard-coding this path once again?
Any idea how this could be achieved? (I guess the maintainers did not
do it that way simply by choice, so I guess it's not trivial.)

Cheers,
--
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Added tag(s) unreproducible. Request was from intrigeri <intrigeri@debian.org> to control@bugs.debian.org. (Wed, 31 Oct 2012 16:33:05 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from intrigeri <intrigeri@debian.org> to control@bugs.debian.org. (Wed, 31 Oct 2012 16:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#690409; Package php5-xcache. (Wed, 31 Oct 2012 16:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. (Wed, 31 Oct 2012 16:39:07 GMT) Full text and rfc822 format available.

Message #19 received at 690409@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: intrigeri <intrigeri@debian.org>
Cc: Stuart Prescott <stuart@debian.org>, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>, 690409@bugs.debian.org, Michal Čihař <nijel@debian.org>
Subject: Re: [php-maint] Bug#690409: php5-xcache: upgrades clobber local changes to xcache.ini
Date: Wed, 31 Oct 2012 17:35:40 +0100
> On my test system, after upgrading from Squeeze to Wheezy, I have both
> the old configuration file and the new one in /etc/php5/conf.d/:
>
>   10-pdo.ini -> ../mods-available/pdo.ini
>   20-xcache.ini -> ../mods-available/xcache.ini
>   xcache.ini

I guess this needs:

	dpkg-maintscript-helper mv_conffile /etc/php5/conf.d/${inifile}
${inidir}/${inifile} <LAST_VERSION> -- "$@";

instead of just installing new conf file.

O.
-- 
Ondřej Surý <ondrej@sury.org>



Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#690409; Package php5-xcache. (Wed, 31 Oct 2012 16:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lior Kaplan <kaplan@debian.org>:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. (Wed, 31 Oct 2012 16:48:04 GMT) Full text and rfc822 format available.

Message #24 received at 690409@bugs.debian.org (full text, mbox):

From: Lior Kaplan <kaplan@debian.org>
To: Ondřej Surý <ondrej@debian.org>
Cc: intrigeri <intrigeri@debian.org>, 690409@bugs.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>, Stuart Prescott <stuart@debian.org>, Michal Čihař <nijel@debian.org>
Subject: Re: [php-maint] Bug#690409: php5-xcache: upgrades clobber local changes to xcache.ini
Date: Wed, 31 Oct 2012 18:45:04 +0200
[Message part 1 (text/plain, inline)]
On Wed, Oct 31, 2012 at 6:35 PM, Ondřej Surý <ondrej@debian.org> wrote:

> I guess this needs:
>
>         dpkg-maintscript-helper mv_conffile /etc/php5/conf.d/${inifile}
> ${inidir}/${inifile} <LAST_VERSION> -- "$@";
>
> instead of just installing new conf file.
>

Sounds about right, I can NMU if Michal is busy.

Kaplan
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#690409; Package php5-xcache. (Wed, 31 Oct 2012 16:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. (Wed, 31 Oct 2012 16:54:06 GMT) Full text and rfc822 format available.

Message #29 received at 690409@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Ondřej Surý <ondrej@debian.org>
Cc: Stuart Prescott <stuart@debian.org>, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>, 690409@bugs.debian.org, Michal Čihař <nijel@debian.org>
Subject: Re: [php-maint] Bug#690409: php5-xcache: upgrades clobber local changes to xcache.ini
Date: Wed, 31 Oct 2012 17:51:36 +0100
Ondřej Surý wrote (31 Oct 2012 16:35:40 GMT) :
>> On my test system, after upgrading from Squeeze to Wheezy, I have both
>> the old configuration file and the new one in /etc/php5/conf.d/:
>>
>>   10-pdo.ini -> ../mods-available/pdo.ini
>>   20-xcache.ini -> ../mods-available/xcache.ini
>>   xcache.ini

> I guess this needs:

> 	dpkg-maintscript-helper mv_conffile /etc/php5/conf.d/${inifile}
> ${inidir}/${inifile} <LAST_VERSION> -- "$@";

> instead of just installing new conf file.

Thank you. This was suggested by Stuart too. I am not sure this would
be suitable for a freeze exception, if it does not fix a RC bug.

So, from a release engineering PoV, I suggest we address the
RC-buggy(?) part of the bug report first :)

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#690409; Package php5-xcache. (Wed, 31 Oct 2012 17:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lior Kaplan <kaplan@debian.org>:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. (Wed, 31 Oct 2012 17:09:03 GMT) Full text and rfc822 format available.

Message #34 received at 690409@bugs.debian.org (full text, mbox):

From: Lior Kaplan <kaplan@debian.org>
To: Michal Čihař <nijel@debian.org>
Cc: Ondřej Surý <ondrej@debian.org>, intrigeri <intrigeri@debian.org>, 690409@bugs.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>, Stuart Prescott <stuart@debian.org>
Subject: Re: [php-maint] Bug#690409: php5-xcache: upgrades clobber local changes to xcache.ini
Date: Wed, 31 Oct 2012 19:07:52 +0200
[Message part 1 (text/plain, inline)]
On Wed, Oct 31, 2012 at 7:00 PM, Michal Čihař <nijel@debian.org> wrote:

> Feel free to NMU, I don't have time to dig deeper into this issue
> right now.
>

OK, I'll play with it during the weekend and update the bug report.

Kaplan
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#690409; Package php5-xcache. (Wed, 31 Oct 2012 17:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Čihař <nijel@debian.org>:
Extra info received and forwarded to list. (Wed, 31 Oct 2012 17:45:06 GMT) Full text and rfc822 format available.

Message #39 received at 690409@bugs.debian.org (full text, mbox):

From: Michal Čihař <nijel@debian.org>
To: Lior Kaplan <kaplan@debian.org>
Cc: Ondřej Surý <ondrej@debian.org>, intrigeri <intrigeri@debian.org>, 690409@bugs.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>, Stuart Prescott <stuart@debian.org>
Subject: Re: [php-maint] Bug#690409: php5-xcache: upgrades clobber local changes to xcache.ini
Date: Wed, 31 Oct 2012 18:00:49 +0100
[Message part 1 (text/plain, inline)]
Hi

Dne Wed, 31 Oct 2012 18:45:04 +0200
Lior Kaplan <kaplan@debian.org> napsal(a):

> On Wed, Oct 31, 2012 at 6:35 PM, Ondřej Surý <ondrej@debian.org> wrote:
> 
> > I guess this needs:
> >
> >         dpkg-maintscript-helper mv_conffile /etc/php5/conf.d/${inifile}
> > ${inidir}/${inifile} <LAST_VERSION> -- "$@";
> >
> > instead of just installing new conf file.
> >
> 
> Sounds about right, I can NMU if Michal is busy.

Feel free to NMU, I don't have time to dig deeper into this issue
right now.

Anyway the important bit is that path to load the module needs to be
adjusted as well on upgrade (if keeping old config file), what I did not
know how to do properly (old version had hardcoded path to xcache.so,
while new has omitted this).

-- 
	Michal Čihař | http://cihar.com | http://blog.cihar.com
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#690409; Package php5-xcache. (Wed, 31 Oct 2012 18:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. (Wed, 31 Oct 2012 18:03:05 GMT) Full text and rfc822 format available.

Message #44 received at 690409@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Michal Čihař <nijel@debian.org>
Cc: 690409@bugs.debian.org, Lior Kaplan <kaplan@debian.org>, Ondřej Surý <ondrej@debian.org>, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>, Stuart Prescott <stuart@debian.org>
Subject: Re: Bug#690409: [php-maint] Bug#690409: php5-xcache: upgrades clobber local changes to xcache.ini
Date: Wed, 31 Oct 2012 18:59:14 +0100
Hi,

Michal Čihař wrote (31 Oct 2012 17:00:49 GMT) :
> (old version had hardcoded path to xcache.so, while new has omitted
> this).

I'm not sure what new version you are talking about.

I have 2.0.0-2 installed, and:

$ grep '^zend_extension\s' /etc/php5/mods-available/xcache.ini 
zend_extension = /usr/lib/php5/20100525/xcache.so

$ md5sum /etc/php5/mods-available/xcache.ini
ac34746084bcab6d9f0e1f09aef6491b  /etc/php5/mods-available/xcache.ini

$ dpkg -s php5-xcache | grep '\s/etc/php5/mods-available/xcache.ini' 
 /etc/php5/mods-available/xcache.ini ac34746084bcab6d9f0e1f09aef6491b

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#690409; Package php5-xcache. (Wed, 31 Oct 2012 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stuart Prescott <stuart@debian.org>:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. (Wed, 31 Oct 2012 19:57:03 GMT) Full text and rfc822 format available.

Message #49 received at 690409@bugs.debian.org (full text, mbox):

From: Stuart Prescott <stuart@debian.org>
To: intrigeri <intrigeri@debian.org>
Cc: 690409@bugs.debian.org, Michal Čihař <nijel@debian.org>, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
Subject: Re: Bug#690409: php5-xcache: upgrades clobber local changes to xcache.ini
Date: Wed, 31 Oct 2012 19:39:56 +0000
[Message part 1 (text/plain, inline)]
Hi all,

> On my test system, after upgrading from Squeeze to Wheezy, I have both
> the old configuration file and the new one in /etc/php5/conf.d/:
> 
>   10-pdo.ini -> ../mods-available/pdo.ini
>   20-xcache.ini -> ../mods-available/xcache.ini
>   xcache.ini
> 
> Both seem to be taken into account somehow, as shown by this warning:

Ahh, you are indeed right -- the old conffile is still present and marked as 
obsolete by dpkg. (I guess I must have missed that amongst the new directory 
structure).

So, yes... local admin changes are preserved; the admin is just left with a 
mess because of the wrong path to the .so. Feel free to assign whatever 
priority you would like to give this in the BTS, but it does look like it is 
in the "needs fixing for wheezy" (with minimal changes) category. As one of our 
release managers commented when we were discussing this bug earlier:

[18:03] <adsb> arguably http://release.debian.org/wheezy/rc_policy.txt 5a says 
"package must not be on crack", but I think that's about as explicit as we 
get. "must not screw the admin over" shouldn't need to be codified


On Wednesday 31 October 2012 17:00:49 Michal Čihař wrote:
> Anyway the important bit is that path to load the module needs to be
> adjusted as well on upgrade (if keeping old config file), what I did not
> know how to do properly (old version had hardcoded path to xcache.so,
> while new has omitted this).

That does not appear to be correct with php5-xcache 2.0.0-2 currently in 
wheezy:

$ grep zend_extension /etc/php5/mods-available/xcache.ini
zend_extension = /usr/lib/php5/20100525+lfs/xcache.so

... so this problem is a problem that will keep on giving.

/etc/php5/mods-available/xcache.ini is also a conffile again (whereas many of 
the other php module packages seem to have gone to ucf for the configuration 
file handling to help cope with these sorts of situations).


cheers
Stuart

-- 
Stuart Prescott    http://www.nanonanonano.net/   stuart@nanonanonano.net
Debian Developer   http://www.debian.org/         stuart@debian.org
GPG fingerprint    BE65 FD1E F4EA 08F3 23D4 3C6D 9FE8 B8CD 71C5 D1A8
GPG fingerprint    90E2 D2C1 AD14 6A1B 7EBB 891D BBC1 7EBB 1396 F2F7
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#690409; Package php5-xcache. (Tue, 06 Nov 2012 19:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <thomas@goirand.fr>:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. (Tue, 06 Nov 2012 19:27:04 GMT) Full text and rfc822 format available.

Message #54 received at 690409@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: intrigeri <intrigeri@debian.org>
Cc: 690409@bugs.debian.org
Subject: Re: [php-maint] Bug#690409: php5-xcache: upgrades clobber local changes to xcache.ini
Date: Wed, 07 Nov 2012 03:25:39 +0800
On 11/01/2012 12:51 AM, intrigeri wrote:
> I am not sure this would
> be suitable for a freeze exception, if it does not fix a RC bug.

You don't need a bug to be RC to ask for a freeze exception. It's often
allowed (and welcome) to fix non-RC bugs! Just get in touch with the
release team to check. My guts are telling me that this kind of fix
would be accepted easily.

Thomas



Added tag(s) pending. Request was from Michal Čihař <nijel@debian.org> to control@bugs.debian.org. (Thu, 08 Nov 2012 08:33:03 GMT) Full text and rfc822 format available.

Reply sent to Michal Čihař <nijel@debian.org>:
You have taken responsibility. (Thu, 08 Nov 2012 09:21:06 GMT) Full text and rfc822 format available.

Notification sent to Stuart Prescott <stuart@debian.org>:
Bug acknowledged by developer. (Thu, 08 Nov 2012 09:21:06 GMT) Full text and rfc822 format available.

Message #61 received at 690409-close@bugs.debian.org (full text, mbox):

From: Michal Čihař <nijel@debian.org>
To: 690409-close@bugs.debian.org
Subject: Bug#690409: fixed in xcache 2.0.0-3
Date: Thu, 08 Nov 2012 09:17:44 +0000
Source: xcache
Source-Version: 2.0.0-3

We believe that the bug you reported is fixed in the latest version of
xcache, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 690409@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michal Čihař <nijel@debian.org> (supplier of updated xcache package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 08 Nov 2012 09:48:20 +0100
Source: xcache
Binary: php5-xcache
Architecture: source amd64
Version: 2.0.0-3
Distribution: unstable
Urgency: low
Maintainer: Michal Čihař <nijel@debian.org>
Changed-By: Michal Čihař <nijel@debian.org>
Description: 
 php5-xcache - Fast, stable PHP opcode cacher
Closes: 690409
Changes: 
 xcache (2.0.0-3) unstable; urgency=low
 .
   * Do not include full path to extension in xcache.so.
   * Properly move configfile on upgrade (Closes: #690409).
Checksums-Sha1: 
 901674aa7404f81579c662d0a39627f39b6d27bd 1901 xcache_2.0.0-3.dsc
 cf03975fcb1293acd9fce83052e1b0b4068124b6 18304 xcache_2.0.0-3.debian.tar.gz
 9ebff3dd00c5ec73579c0c348dde0331c43e6d83 111510 php5-xcache_2.0.0-3_amd64.deb
Checksums-Sha256: 
 9f22f652a94338c54279f8cbd937d5faff9cfb51d4c6e530fa02d267f9f7a23b 1901 xcache_2.0.0-3.dsc
 d73c31448c06fcd8569fc0f1452e6b3cb383391a86ebd728f48aac2e8646abd6 18304 xcache_2.0.0-3.debian.tar.gz
 bbcc2ddf9999cf173b1a9f37bbb8ef5739a594618b17886243546fb205563898 111510 php5-xcache_2.0.0-3_amd64.deb
Files: 
 33b8e631a91f2295f6b959e023388696 1901 php optional xcache_2.0.0-3.dsc
 0b36cfa950a330260c867c8ec14768a9 18304 php optional xcache_2.0.0-3.debian.tar.gz
 8ab340c6f26430374a42f592fc940bc6 111510 php optional php5-xcache_2.0.0-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQm3JaAAoJEGo39bHX+xdNa/MQAN0bFBxLxf23KD68UiuPn9nS
gQ/S4YsFHFl+ow9lwtYevPRtSVl+WDMg7zSazSny2LrgPYS9SwKG4Ceil0R0rROr
/jQ7DLDJio/3ow6zMq/qs0jw/HQ/H2zwh5jt0Fh3rdsGC0BTawl5Sld/4aOHWpc3
YmGfMXchg79B2/Mb2bD+vsJLNj7KJFVVVa2MCZSri1abx4D1OBNHqz0zSUDFS9Hk
m1DGzdPzb/ikCC2dPLkux6g4Le06BRf4GyoDm2ykzYPJSZu9KQJ9wZaPx0+bJ1vm
jlY8cWGgs3+ABPPp8kebz/B/HzNWYdJatzLvOsD0/Lv1giKCAyTAPvF2bqKo/2Q6
giskpOWcZXLtuPiUTcj3aftG4WVtq1M1okmlLAWgonBZqgJ7WqADqQmvN3YZZOhK
y3NtbiFUHcnOsCkzq9bd5mCHVUMrFAn5PVyAxC+4S2uj41slSnNhWbkdgxKp5d3T
WA4v9cg+Hm/KpqLJ/s9f7K/4gb1xKsKaUY6XjrO/lHB9ZzDsb75u5d4a4XZ8/UWm
rZyljwUTNLfOXGcI2CJ4wotCwqjKooU22yF7cSXs9G+BaLEuMEY9ogYjGlOEueqY
3JbsUuKusV9ssJofem9ezGDHwUwbh5wKd4KoZl/0pB+ZkTPhvfPlY73+n2Ukjbxh
GL500Qn/lNJfLJ05XCp9
=u1kF
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#690409; Package php5-xcache. (Sat, 10 Nov 2012 13:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. (Sat, 10 Nov 2012 13:03:06 GMT) Full text and rfc822 format available.

Message #66 received at 690409@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: 690409@bugs.debian.org
Subject: Re: Bug#690409 closed by Michal Čihař <nijel@debian.org> (Bug#690409: fixed in xcache 2.0.0-3)
Date: Sat, 10 Nov 2012 13:59:41 +0100
Hi,

Debian Bug Tracking System wrote (08 Nov 2012 09:21:06 GMT) :
> #690409: php5-xcache: upgrades clobber local changes to xcache.ini
> It has been closed by Michal Čihař <nijel@debian.org>.

I'm a bit unsure about the bugfix:

I just upgraded php5-xcache 2.0.0-2 from testing to 2.0.0-3 from sid.

My own /etc/php5/mods-available/xcache.ini was preserved (good),
but I was not asked whether I wanted the changes from the maintainer's
new version (e.g. without the full path to the extension).
Is this expected?
Could it be caused in any way by the mv_conffile helper?



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#690409; Package php5-xcache. (Sat, 10 Nov 2012 17:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Čihař <nijel@debian.org>:
Extra info received and forwarded to list. (Sat, 10 Nov 2012 17:54:06 GMT) Full text and rfc822 format available.

Message #71 received at 690409@bugs.debian.org (full text, mbox):

From: Michal Čihař <nijel@debian.org>
To: intrigeri <intrigeri@debian.org>, 690409@bugs.debian.org
Subject: Re: Bug#690409: closed by Michal Čihař <nijel@debian.org> (Bug#690409: fixed in xcache 2.0.0-3)
Date: Sat, 10 Nov 2012 18:50:39 +0100
[Message part 1 (text/plain, inline)]
Hi

Dne Sat, 10 Nov 2012 13:59:41 +0100
intrigeri <intrigeri@debian.org> napsal(a):

> Hi,
> 
> Debian Bug Tracking System wrote (08 Nov 2012 09:21:06 GMT) :
> > #690409: php5-xcache: upgrades clobber local changes to xcache.ini
> > It has been closed by Michal Čihař <nijel@debian.org>.
> 
> I'm a bit unsure about the bugfix:
> 
> I just upgraded php5-xcache 2.0.0-2 from testing to 2.0.0-3 from sid.
> 
> My own /etc/php5/mods-available/xcache.ini was preserved (good),
> but I was not asked whether I wanted the changes from the maintainer's
> new version (e.g. without the full path to the extension).
> Is this expected?
> Could it be caused in any way by the mv_conffile helper?

I'm not sure what it is expected to do in such case, I'd expect at
least having .dgpk-* files laying around.

-- 
	Michal Čihař | http://cihar.com | http://blog.cihar.com
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#690409; Package php5-xcache. (Sat, 10 Nov 2012 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. (Sat, 10 Nov 2012 17:57:03 GMT) Full text and rfc822 format available.

Message #76 received at 690409@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Michal Čihař <nijel@debian.org>
Cc: 690409@bugs.debian.org
Subject: Re: Bug#690409: closed by Michal Čihař <nijel@debian.org> (Bug#690409: fixed in xcache 2.0.0-3)
Date: Sat, 10 Nov 2012 18:53:58 +0100
Hi,

Michal Čihař wrote (10 Nov 2012 17:50:39 GMT) :
> I'm not sure what it is expected to do in such case, I'd expect at
> least having .dgpk-* files laying around.

I did expect having the .dpkg-dist file available,
but I have none.

I can easily believe the bugfix would be perfect if it had been
applied right from the beginning, and I guess it's good for Squeeze to
Wheezy upgrades, but apparently it does not deal well with
Wheezy->Wheezy upgrades :(

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#690409; Package php5-xcache. (Sat, 10 Nov 2012 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Čihař <nijel@debian.org>:
Extra info received and forwarded to list. (Sat, 10 Nov 2012 20:54:03 GMT) Full text and rfc822 format available.

Message #81 received at 690409@bugs.debian.org (full text, mbox):

From: Michal Čihař <nijel@debian.org>
To: intrigeri <intrigeri@debian.org>, 690409@bugs.debian.org
Subject: Re: Bug#690409: closed by Michal Čihař <nijel@debian.org> (Bug#690409: fixed in xcache 2.0.0-3)
Date: Sat, 10 Nov 2012 21:51:33 +0100
[Message part 1 (text/plain, inline)]
Hi

Dne Sat, 10 Nov 2012 18:53:58 +0100
intrigeri <intrigeri@debian.org> napsal(a):

> Michal Čihař wrote (10 Nov 2012 17:50:39 GMT) :
> > I'm not sure what it is expected to do in such case, I'd expect at
> > least having .dgpk-* files laying around.
> 
> I did expect having the .dpkg-dist file available,
> but I have none.
> 
> I can easily believe the bugfix would be perfect if it had been
> applied right from the beginning, and I guess it's good for Squeeze to
> Wheezy upgrades, but apparently it does not deal well with
> Wheezy->Wheezy upgrades :(

I did test both and in both cases I had .dpkg-something files around.
Maybe I just did not torture dpkg enough to test all cases...

-- 
	Michal Čihař | http://cihar.com | http://blog.cihar.com
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#690409; Package php5-xcache. (Sun, 11 Nov 2012 18:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. (Sun, 11 Nov 2012 18:39:05 GMT) Full text and rfc822 format available.

Message #86 received at 690409@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Michal Čihař <nijel@debian.org>
Cc: 690409@bugs.debian.org
Subject: Re: Bug#690409: closed by Michal Čihař <nijel@debian.org> (Bug#690409: fixed in xcache 2.0.0-3)
Date: Sun, 11 Nov 2012 19:34:57 +0100
Hi,

Michal Čihař wrote (10 Nov 2012 20:51:33 GMT) :
> I did test both and in both cases I had .dpkg-something files
> around. Maybe I just did not torture dpkg enough to test all
> cases...

I just tried again:

1. install 2.0.0-1 (not sure it's needed, but I wanted to simulate
   a "coming from pre-2.0.0-2" without the burden of running a full
   Squeeze to Wheezy upgrade)
2. modify /etc/php5/mods-available/xcache.ini
3. upgrade to 2.0.0-2 with apt-get
4. upgrade to 2.0.0-3 with apt-get

$ ls /etc/php5/*/*xcache*                 
/etc/php5/conf.d/20-xcache.ini@  /etc/php5/mods-available/xcache.ini

$ md5sum /etc/php5/mods-available/xcache.ini 
c536246a59f58f1ba5111244951f32be  /etc/php5/mods-available/xcache.ini

My modification change is still in xcache.ini,
the absolute extension path is there too,
and no .dpkg-* files waiting for me to merge stuff.



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#690409; Package php5-xcache. (Wed, 14 Nov 2012 07:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Čihař <nijel@debian.org>:
Extra info received and forwarded to list. (Wed, 14 Nov 2012 07:57:03 GMT) Full text and rfc822 format available.

Message #91 received at 690409@bugs.debian.org (full text, mbox):

From: Michal Čihař <nijel@debian.org>
To: intrigeri <intrigeri@debian.org>, 690409@bugs.debian.org
Subject: Re: Bug#690409: closed by Michal Čihař <nijel@debian.org> (Bug#690409: fixed in xcache 2.0.0-3)
Date: Wed, 14 Nov 2012 08:53:12 +0100
[Message part 1 (text/plain, inline)]
Hi

Dne Sun, 11 Nov 2012 19:34:57 +0100
intrigeri <intrigeri@debian.org> napsal(a):

> My modification change is still in xcache.ini,
> the absolute extension path is there too,
> and no .dpkg-* files waiting for me to merge stuff.

Okay, it looks like I need to use same (ugly) hack as xdebug is using,
will do another upload.

-- 
	Michal Čihař | http://cihar.com | http://blog.cihar.com
[signature.asc (application/pgp-signature, attachment)]

Reply sent to Michal Čihař <nijel@debian.org>:
You have taken responsibility. (Wed, 14 Nov 2012 08:51:03 GMT) Full text and rfc822 format available.

Notification sent to Stuart Prescott <stuart@debian.org>:
Bug acknowledged by developer. (Wed, 14 Nov 2012 08:51:03 GMT) Full text and rfc822 format available.

Message #96 received at 690409-close@bugs.debian.org (full text, mbox):

From: Michal Čihař <nijel@debian.org>
To: 690409-close@bugs.debian.org
Subject: Bug#690409: fixed in xcache 2.0.0-4
Date: Wed, 14 Nov 2012 08:47:30 +0000
Source: xcache
Source-Version: 2.0.0-4

We believe that the bug you reported is fixed in the latest version of
xcache, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 690409@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michal Čihař <nijel@debian.org> (supplier of updated xcache package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 14 Nov 2012 08:57:03 +0100
Source: xcache
Binary: php5-xcache
Architecture: source amd64
Version: 2.0.0-4
Distribution: unstable
Urgency: low
Maintainer: Michal Čihař <nijel@debian.org>
Changed-By: Michal Čihař <nijel@debian.org>
Description: 
 php5-xcache - Fast, stable PHP opcode cacher
Closes: 690409
Changes: 
 xcache (2.0.0-4) unstable; urgency=low
 .
   * Rewrite configuration to correct path to extension on upgrade
     (Closes: #690409).
Checksums-Sha1: 
 856e190354f02454a1df15f786318cf2d38e5e32 1901 xcache_2.0.0-4.dsc
 8226a0b92ac4729367830afd3c0a70502738dcc4 18418 xcache_2.0.0-4.debian.tar.gz
 37de0eeb30483ca3a83ac5d4247be45daa1c449b 111656 php5-xcache_2.0.0-4_amd64.deb
Checksums-Sha256: 
 a6d39ae741e8e1c931444105cf59a2467763c6676c9c9da98a8bb13af829a7c0 1901 xcache_2.0.0-4.dsc
 28ffab94e460c238f5206ae2a533818b553742ff5fa0aeedc84e363123f52406 18418 xcache_2.0.0-4.debian.tar.gz
 e6fed0d034315a9da8311aa58b40c8d63f6dd47bb136e65b7e2e7238a96c8640 111656 php5-xcache_2.0.0-4_amd64.deb
Files: 
 fc36278a6a4f6d5c212e41293f06b095 1901 php optional xcache_2.0.0-4.dsc
 32b685aae3f61c00ebd73044c9ef36d7 18418 php optional xcache_2.0.0-4.debian.tar.gz
 b8ac1370149c7ff14b3ea52792184c0c 111656 php optional php5-xcache_2.0.0-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQo0+SAAoJEGo39bHX+xdNsFwQAKlrZZCGbonkfJS4EakKXHg8
WBIONcqJC/98pT1lw+qhsyYjr8ul3VStFiY5TxQ5vWrAlY2E6fg6PI/eyIy+iVCg
E0eQ1EpoUveZ4H4WLo1ItEIRXdLawoGAaaNRcm1TBhmgdQOahDVP4DI/ukqWXriG
tTzptgOo/T7Vi8sLzOYCLyQXrbeKLaBbbBAH/1TZzSiTyUjvldUt7sgixlmvqQ6t
A4oC2tqtYSLsSSWz4pASA/4/nEA1bhaXyt2F2fpyELf8FszFc0soFAjQw+O1sfxA
ko6lzMuaEh2DouLE3ha+b303jOYQNi18isu6CRmwQXV77Gjj49cbJzREVHI0u3eq
PmYd1gbGuuOs5XePtIiD7tx30Rn2U7X1zvGOr5TQwak7PVwtCifPegCITx7sz02E
AosXST3rurvbBd6bX9aheWfV4sV28oi8wAzGjSaLYT6WMKtgSv/Z6cEB9Oms3Y2k
cNcGiSAijLG0S2y0P74UjRi0tTep/AcS5n09r9G79W5RSAbP8+3JXlAr9cpweLDv
abQz+XgdGDci6R5tN6hUAhLKfjo1sSrB03jGBvMzdOzx4xMM/NLHNL31cTJ9SKaK
vqsrlN/Q++3g7MVfnXpF21IJKKjyxqDWfRjiZOV0PwAVYZFQpa8C+3FNRiVTojlY
erA4ohqaGDtgp/6JPtvd
=YUZY
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#690409; Package php5-xcache. (Wed, 14 Nov 2012 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. (Wed, 14 Nov 2012 17:54:03 GMT) Full text and rfc822 format available.

Message #101 received at 690409@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Michal Čihař <nijel@debian.org>
Cc: 690409@bugs.debian.org
Subject: Re: Bug#690409: closed by Michal Čihař <nijel@debian.org> (Bug#690409: fixed in xcache 2.0.0-3)
Date: Wed, 14 Nov 2012 18:50:45 +0100
Hi,

Michal Čihař wrote (14 Nov 2012 07:53:12 GMT) :
> Okay, it looks like I need to use same (ugly) hack as xdebug is
> using, will do another upload.

I just tried the same upgrade path again (s,-3,-4,), and as a result
my modification change is still in xcache.ini, the (correct) absolute
extension path is in there too.

There's no .dpkg-* files around. I guess at least if there was new
default settings brought by the new conffile, .dpkg-dist should be
here, but I've no idea if it is the case. Is it?

About the extension path: after testing, I first thought "oh this is
still broken", because "Do not include full path to extension in
xcache.so." in the 2.0.0-3 debian/changelog made me think the desired
state was to *not* have the path at all in the ini file, so I thought
that would be done in the new postinst thing. But it looks like it
works fine in practice! I am confident you have tested the stable ->
2.0.0-4 upgrade path, so that one should be good too. So far, so good.

The whole thing is still unclear and prone to misunderstanding,
when reading debian/changelog. How about:

  * Either the ugly postinst hack *removes* the absolute extension
    path from the ini file, and the ini file does not include it to
    start with -- if this is supported, which is suggested by -3 -- is
    it? If this is possible, it would avoid having to deal with that
    for Jessie again...

  * Or a new debian/changelog entry should clarify that eventually,
    we're back to including the full path.

What do you think?

Cheers,
--
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#690409; Package php5-xcache. (Thu, 15 Nov 2012 06:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Čihař <nijel@debian.org>:
Extra info received and forwarded to list. (Thu, 15 Nov 2012 06:51:03 GMT) Full text and rfc822 format available.

Message #106 received at 690409@bugs.debian.org (full text, mbox):

From: Michal Čihař <nijel@debian.org>
To: intrigeri <intrigeri@debian.org>
Cc: 690409@bugs.debian.org
Subject: Re: Bug#690409: closed by Michal Čihař <nijel@debian.org> (Bug#690409: fixed in xcache 2.0.0-3)
Date: Thu, 15 Nov 2012 07:47:07 +0100
[Message part 1 (text/plain, inline)]
Hi

Dne Wed, 14 Nov 2012 18:50:45 +0100
intrigeri <intrigeri@debian.org> napsal(a):

> Hi,
> 
> Michal Čihař wrote (14 Nov 2012 07:53:12 GMT) :
> > Okay, it looks like I need to use same (ugly) hack as xdebug is
> > using, will do another upload.
> 
> I just tried the same upgrade path again (s,-3,-4,), and as a result
> my modification change is still in xcache.ini, the (correct) absolute
> extension path is in there too.
> 
> There's no .dpkg-* files around. I guess at least if there was new
> default settings brought by the new conffile, .dpkg-dist should be
> here, but I've no idea if it is the case. Is it?

It should be. However it won't be there for upgrades from versions
which did already move config file without using dpkg helper.
Unfortunately the helper is not clever enough to handle breakage I've
introduced.

> About the extension path: after testing, I first thought "oh this is
> still broken", because "Do not include full path to extension in
> xcache.so." in the 2.0.0-3 debian/changelog made me think the desired
> state was to *not* have the path at all in the ini file, so I thought
> that would be done in the new postinst thing. But it looks like it
> works fine in practice! I am confident you have tested the stable ->
> 2.0.0-4 upgrade path, so that one should be good too. So far, so good.
> 
> The whole thing is still unclear and prone to misunderstanding,
> when reading debian/changelog. How about:
> 
>   * Either the ugly postinst hack *removes* the absolute extension
>     path from the ini file, and the ini file does not include it to
>     start with -- if this is supported, which is suggested by -3 -- is
>     it? If this is possible, it would avoid having to deal with that
>     for Jessie again...
> 
>   * Or a new debian/changelog entry should clarify that eventually,
>     we're back to including the full path.

The absolute path unfortunately needs to be there - that's difference
between zend_extension and extension. Fortunately the path removal was
done in file which was not used at the end. Anyway as the package is
now unblocked I'd like to avoid yet another upload just for
changelog clarification.


-- 
	Michal Čihař | http://cihar.com | http://blog.cihar.com
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#690409; Package php5-xcache. (Thu, 15 Nov 2012 16:45:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. (Thu, 15 Nov 2012 16:45:22 GMT) Full text and rfc822 format available.

Message #111 received at 690409@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Michal Čihař <nijel@debian.org>
Cc: 690409@bugs.debian.org
Subject: Re: Bug#690409: closed by Michal Čihař <nijel@debian.org> (Bug#690409: fixed in xcache 2.0.0-3)
Date: Thu, 15 Nov 2012 14:00:55 +0100
Hi,

Michal Čihař wrote (15 Nov 2012 06:47:07 GMT) :
> It should be. However it won't be there for upgrades from versions
> which did already move config file without using dpkg helper.
> Unfortunately the helper is not clever enough to handle breakage
> I've introduced.

OK. Well, this should be good enough then, I guess.

> The absolute path unfortunately needs to be there - that's
> difference between zend_extension and extension. Fortunately the
> path removal was done in file which was not used at the end.

Thanks for the explanation.

> Anyway as the package is now unblocked I'd like to avoid yet another
> upload just for changelog clarification.

Fair enough.

Case closed, then! :)

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Dec 2012 07:25:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:49:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.